Manifest-Version: 1.0
Bnd-LastModified: 1742261282063
Bundle-ClassPath: .,lib/odata-commons-api-4.7.1.jar,lib/odata-commons-
 core-4.7.1.jar,lib/odata-server-api-4.7.1.jar,lib/odata-server-core-4
 .7.1.jar,lib/odata-server-core-ext-4.7.1.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal OData Implementation
Bundle-SymbolicName: com.liferay.portal.odata.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.15.hotfix-6515-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.fasterxml.jackson.core,com.fasterxml.jackson.datab
 ind;version="2.13",com.fasterxml.jackson.databind.node;version="2.13"
 ,com.fasterxml.jackson.databind.util;version="2.13",com.liferay.osgi.
 util;version="2.3",com.liferay.petra.string;version="1.7",com.liferay
 .portal.kernel.exception;version="12.2",com.liferay.portal.kernel.log
 ;version="7.1",com.liferay.portal.kernel.search;version="13.0",com.li
 feray.portal.kernel.search.filter;version="1.0",com.liferay.portal.ke
 rnel.search.generic;version="3.0",com.liferay.portal.kernel.util;vers
 ion="40.2",com.liferay.portal.odata.entity;version="2.0",com.liferay.
 portal.odata.filter;version="1.1",com.liferay.portal.odata.filter.exp
 ression;version="2.1",com.liferay.portal.odata.sort;version="1.2",com
 .liferay.portal.search.query;version="1.7",io.netty.buffer,io.netty.h
 andler.codec.http,javax.servlet,javax.servlet.http,javax.xml.namespac
 e,javax.xml.stream,javax.xml.stream.events,org.apache.commons.codec,o
 rg.apache.commons.codec.binary,org.osgi.framework;version="1.8",org.o
 sgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal OData
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.odata.internal.filter,com.liferay.
 portal.odata.internal.filter.expression,com.liferay.portal.odata.inte
 rnal.sort,com.liferay.portal.odata.internal.tracker,lib,org.apache.ol
 ingo.commons.api,org.apache.olingo.commons.api.constants,org.apache.o
 lingo.commons.api.data,org.apache.olingo.commons.api.edm,org.apache.o
 lingo.commons.api.edm.annotation,org.apache.olingo.commons.api.edm.co
 nstants,org.apache.olingo.commons.api.edm.geo,org.apache.olingo.commo
 ns.api.edm.provider,org.apache.olingo.commons.api.edm.provider.annota
 tion,org.apache.olingo.commons.api.edmx,org.apache.olingo.commons.api
 .ex,org.apache.olingo.commons.api.format,org.apache.olingo.commons.ap
 i.http,org.apache.olingo.commons.core,org.apache.olingo.commons.core.
 edm,org.apache.olingo.commons.core.edm.annotation,org.apache.olingo.c
 ommons.core.edm.primitivetype,org.apache.olingo.netty.server.api,org.
 apache.olingo.server.api,org.apache.olingo.server.api.batch,org.apach
 e.olingo.server.api.debug,org.apache.olingo.server.api.deserializer,o
 rg.apache.olingo.server.api.deserializer.batch,org.apache.olingo.serv
 er.api.etag,org.apache.olingo.server.api.prefer,org.apache.olingo.ser
 ver.api.processor,org.apache.olingo.server.api.serializer,org.apache.
 olingo.server.api.uri,org.apache.olingo.server.api.uri.queryoption,or
 g.apache.olingo.server.api.uri.queryoption.apply,org.apache.olingo.se
 rver.api.uri.queryoption.expression,org.apache.olingo.server.api.uri.
 queryoption.search,org.apache.olingo.netty.server.core,org.apache.oli
 ngo.server.core,org.apache.olingo.server.core.batchhandler,org.apache
 .olingo.server.core.batchhandler.referenceRewriting,org.apache.olingo
 .server.core.debug,org.apache.olingo.server.core.deserializer,org.apa
 che.olingo.server.core.deserializer.batch,org.apache.olingo.server.co
 re.deserializer.helper,org.apache.olingo.server.core.deserializer.jso
 n,org.apache.olingo.server.core.deserializer.xml,org.apache.olingo.se
 rver.core.etag,org.apache.olingo.server.core.prefer,org.apache.olingo
 .server.core.serializer,org.apache.olingo.server.core.serializer.json
 ,org.apache.olingo.server.core.serializer.utils,org.apache.olingo.ser
 ver.core.serializer.xml,org.apache.olingo.server.core.uri,org.apache.
 olingo.server.core.uri.parser,org.apache.olingo.server.core.uri.parse
 r.search,org.apache.olingo.server.core.uri.queryoption,org.apache.oli
 ngo.server.core.uri.queryoption.apply,org.apache.olingo.server.core.u
 ri.queryoption.expression,org.apache.olingo.server.core.uri.validator
 ,org.apache.olingo.server.core.legacy,org.apache.olingo.server.core.r
 equests,org.apache.olingo.server.core.responses
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.odata.filter.ExpressionConvert";uses:="com.liferay.portal.oda
 ta.filter",osgi.service;objectClass:List<String>="com.liferay.portal.
 odata.filter.FilterParserProvider";uses:="com.liferay.portal.odata.fi
 lter",osgi.service;objectClass:List<String>="com.liferay.portal.odata
 .sort.SortParserProvider";uses:="com.liferay.portal.odata.sort"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.odata.filter.FilterParserProvider)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.portal.odata.sort.SortParserProvi
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.search.query.NestedFieldQueryHelper)";effective:=active,osgi
 .extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!
 (version>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))
 "
Service-Component: OSGI-INF/com.liferay.portal.odata.internal.filter.E
 xpressionConvertImpl.xml,OSGI-INF/com.liferay.portal.odata.internal.f
 ilter.FilterParserProviderImpl.xml,OSGI-INF/com.liferay.portal.odata.
 internal.sort.SortParserProviderImpl.xml,OSGI-INF/com.liferay.portal.
 odata.internal.tracker.ParserRegistrar.xml
Tool: Bnd-4.3.0.201909301554

